E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GSmtp::NewMessage Class Referenceabstract

An abstract class to allow the creation of a new message in the message store. More...

`#include <gnewmessage.h>`

Inheritance diagram for GSmtp::NewMessage:

## Public Member Functions
virtual void | addTo (const std::string &to, bool local)=0
| Adds a 'to' address.
virtual bool | addText (const char *, size_t)=0
| Adds a line of content. More...
virtual std::string | prepare (const std::string &session_auth_id, const std::string &peer_socket_address, const std::string &peer_certificate)=0
| Prepares to store the message in the message store. More...
virtual void | commit (bool strict)=0
| Commits the prepare()d message to the store. More...
virtual unsigned long | id () const =0
| Returns the message's unique non-zero identifier.
bool | addTextLine (const std::string &)
| A convenience function that calls addText() taking a string parameter. More...
virtual | ~NewMessage ()
| Destructor. More...

## Detailed Description

An abstract class to allow the creation of a new message in the message store.

See also
  GSmtp::MessageStore, GSmtp::MessageStore::newMessage()

Definition at line 38 of file gnewmessage.h.

## Constructor & Destructor Documentation

GSmtp::NewMessage::~NewMessage | ( |  | ) |
| virtual

Destructor.

Rolls back any prepare()d storage if un-commit()ed.

Definition at line 27 of file gnewmessage.cpp.

## Member Function Documentation

virtual bool GSmtp::NewMessage::addText | ( | const char * | ,
|  | size_t |
| ) |  |
| pure virtual

Adds a line of content.

The line should not include the line ending. Returns false on overflow.

Implemented in GSmtp::NewFile.

bool GSmtp::NewMessage::addTextLine | ( | const std::string & | line | ) |

A convenience function that calls addText() taking a string parameter.

Definition at line 31 of file gnewmessage.cpp.

virtual void GSmtp::NewMessage::commit | ( | bool | strict | ) |
| pure virtual

Commits the prepare()d message to the store.

Errors are ignored (eg. missing files) if the 'strict' parameter is false.

Implemented in GSmtp::NewFile.

virtual std::string GSmtp::NewMessage::prepare | ( | const std::string & | session_auth_id,
|  | const std::string & | peer_socket_address,
|  | const std::string & | peer_certificate
| ) |  |
| pure virtual

Prepares to store the message in the message store.

Returns the location of the pre-commit()ed message.

Implemented in GSmtp::NewFile.

The documentation for this class was generated from the following files:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gsmtp/gnewmessage.h
- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gsmtp/gnewmessage.cpp